Bug 328767

Summary: [wish] larger 256x256 pixels thumbnails embedded in *.kra and *.ora
Product: krita Reporter: David REVOY <info>
Component: File formatsAssignee: Krita Bugs <krita-bugs-null>
Status: RESOLVED FIXED    
Severity: wishlist    
Priority: NOR    
Version: 2.8 Pre-Alpha   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In:

Description David REVOY 2013-12-13 15:27:40 UTC
Hi,

Modern filemanagers ( Dolphin / Gnome Files / Nemo / Thunar ) can display large thumbnail size, around 256x256 pixel max. But Krita save automatically for *.kra or *.ora a 128x128 thumbnail in them.

Changing to 256x256 would have a little impact on the resulting file size ( normal 128x128 thumb is around 25KB, large 256x256 around 50KB ).
Comment 1 David REVOY 2013-12-13 15:52:36 UTC
eww... Sorry. After inspection of the *.ora and *.kra files ; I saw Krita already save 256x256pixels thumbnails ... sorry , ex : 

./krita/plugins/formats/ora/ora_converter.cc  ( l.106 )  " previewSize.scale(QSize(256,256), Qt::KeepAspectRatio);"

The issue I experienced with Krita's thumbnail then is not about the thumbnail amount of pixels, but the scaling quality : it's very aliased as it is now.
Comment 2 Halla Rempt 2013-12-19 13:01:04 UTC
Git commit 3f5a95c78d46fa2d93c46d0ce0deb06f6567f53b by Boudewijn Rempt.
Committed on 19/12/2013 at 12:49.
Pushed by rempt into branch 'calligra/2.8'.

Smoothscale the thumbnail for .kra files

M  +10   -2    krita/ui/kis_doc2.cc

http://commits.kde.org/calligra/3f5a95c78d46fa2d93c46d0ce0deb06f6567f53b
Comment 3 Halla Rempt 2013-12-19 13:51:41 UTC
Git commit 432cbe530d8583710754b045baadf0fb0d4e5e1b by Boudewijn Rempt.
Committed on 19/12/2013 at 12:49.
Pushed by rempt into branch 'master'.

Smoothscale the thumbnail for .kra files

M  +10   -2    krita/ui/kis_doc2.cc

http://commits.kde.org/calligra/432cbe530d8583710754b045baadf0fb0d4e5e1b